import QtQuick 1.0

Rectangle{
    id : main

      width: screenSize.width
      height: screenSize.height
//    width: 1366
//    height: 766

    Image {
        id: splashImage
        source: "images/background.png"
        anchors.fill: parent
        fillMode: Image.PreserveAspectCrop

        Image {
            id: pic7
            source: "images/pic-7.png"
            x:550
            y:695
            opacity: 0
        }

        Image {
            id: slacker
            width: 600
            source: "images/pic-6.png"
            anchors.centerIn: parent

            Image {
                id: logo
                source: "images/pic-8.png"
                anchors.centerIn: parent
           }
   
            Image {
                id: pic1
                source: "images/pic-1.png"
                x : 80
                y : 600
            }

            Image {
                id: pic2
                source: "images/pic-2.png"
                x : 160
                y : -600
            }    
                
            Image {
                id: peng3
                source: "images/penguin3.png"
                x : -650
                y : 333
            }    
                
            Image {
                id: peng6
                source: "images/penguin6.png"
                x : -650
                y : 333    
            }    
                
            Image {
                id: peng5
                source: "images/penguin5.png"
                x : -650
                y : 333    
            }    
                
            Image {
                id: peng
                source: "images/penguin.png"
                x : -450
                y : 333    
            }    
                
            Image {
                id: peng1
                source: "images/penguin1.png"
                x : -650
                y : 333
                
            }    
                
            Image {
                id: peng2
                source: "images/penguin2.png"
                x : -750
                y : 333
            }    
                
            Image {
                id: peng4
                source: "images/penguin4.png"
                x : -640
                y : 333    
                
            }

            Image {
                id: pic3
                source: "images/pic-3.png"
                x : 320
                y : 600
            }

            Image {
                id: pic4
                source: "images/pic-4.png"
                x : 400
                y : -600
            }

            Image {
                id: pic5
                source: "images/pic-5.png"
                x : 180
                y : 560
                
                
                
            }
        }
    }

    SequentialAnimation{
        id : splashanimation

        PauseAnimation { duration: 40 }
        NumberAnimation { target: pic8; property: "scale";   duration: 1000; to: .50; easing.type:  Easing.InOutQuad }
        NumberAnimation { target: pic1; property: "y"; duration: 1250; to:100; easing.type: Easing.InOutQuad }
        NumberAnimation { target: pic2; property: "y"; duration: 750; to:100; easing.type: Easing.InOutQuad }
        NumberAnimation { target: pic3; property: "y"; duration: 500; to:100; easing.type: Easing.InOutQuad }
        NumberAnimation { target: pic4; property: "y"; duration: 250; to:100; easing.type: Easing.InOutQuad }
        NumberAnimation { target: pic1; property: "x"; duration: 250; to:500; easing.type: Easing.InOutQuad }
        NumberAnimation { target: pic8; property: "scale";   duration: 40; to: .70; easing.type:  Easing.InOutQuad }
        NumberAnimation { target: pic2; property: "x"; duration: 250; to:400; easing.type: Easing.InOutQuad }
        NumberAnimation { target: pic8; property: "scale";   duration: 40; to: .50; easing.type:  Easing.InOutQuad }
        NumberAnimation { target: pic3; property: "x"; duration: 250; to:100; easing.type: Easing.InOutQuad }
        NumberAnimation { target: pic8; property: "scale";   duration: 40; to: .70; easing.type:  Easing.InOutQuad }
        NumberAnimation { target: pic4; property: "x"; duration: 250; to:10; easing.type: Easing.InOutQuad }
        NumberAnimation { target: pic8; property: "scale";   duration: 40; to: .50; easing.type:  Easing.InOutQuad }
        
        ParallelAnimation{
            NumberAnimation { target: pic1; property: "x"; duration: 200; to:10;  easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic2; property: "x"; duration: 200; to:100; easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic3; property: "x"; duration: 200; to:400; easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic4; property: "x"; duration: 200; to:500; easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic5; property: "y"; duration: 200; to:-100; easing.type:  Easing.InOutQuad }
        }
        ParallelAnimation{
            NumberAnimation { target: pic1; property: "x"; duration: 150; to:230;  easing.type: Easing.InOutQuad }
            NumberAnimation { target: pic2; property: "x"; duration: 150; to:230; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: pic5; property: "y"; duration: 150; to:50; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: pic3; property: "x"; duration: 150; to:230; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: pic4; property: "x"; duration: 150; to:230; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: pic5; property: "scale";   duration: 550; to:.1; easing.type:  Easing.InOutQuad }
           
        }
        ParallelAnimation{
            NumberAnimation { target: pic8; property: "scale";   duration: 550; to: .75; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: peng5; property: "x";   duration: 550; to: 650; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: peng1; property: "x";   duration: 550; to: 550; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: peng6; property: "x";   duration: 550; to: 750; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: peng2; property: "x";   duration: 550; to: 450; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: peng4; property: "x";   duration: 550; to: 350; easing.type:  Easing.InOutQuad }
            NumberAnimation { target: peng; property: "x";   duration: 550; to: 250; easing.type:  Easing.InOutQuad }
        }

    }

    Component.onCompleted: splashanimation.start()
}
 
